Checks the existence of a node in zookeeper synchronously

- « Zookeeper::delete

- Zookeeper::get »

- PHP Manual
- Zookeeper
- Checks the existence of a node in zookeeper synchronously

# Zookeeper::exists

(PECL zookeeper >= 0.1.0)

Zookeeper::exists — Checks the existence of a node in zookeeper synchronously

### Description

public Zookeeper::exists(string `$path`, callable `$watcher_cb` = `null`): array

### Parameters

`path`

  The name of the node. Expressed as a file name with slashes separating ancestors of the node.

`watcher_cb`

  if nonzero, a watch will be set at the server to notify the client if the node changes. The watch will be set even if the node does not

### Return Values

Returns the value of stat for the path if the given node exists, otherwise false.

### Errors/Exceptions

This method emits PHP error/warning when parameters count or types are wrong or fail to check the existence of a node.

Caution

Since version 0.3.0, this method emits ZookeeperException and it's derivatives.

### Examples

Example #1 Zookeeper::exists() example

Check the existence of a node.

    <?php$zookeeper = new Zookeeper('locahost:2181');$path = '/path/to/node';$r = $zookeeper->exists($path);if ($r)  echo 'EXISTS';else  echo 'N/A or ERR';?>

The above example will output:

    EXISTS

### See Also

- Zookeeper::get() - Gets the data associated with a node synchronously
- ZookeeperException